import MonacoModule = require("monaco-editor");
import { Language } from "./language";
export * from "./theme";
export * from "./language";
export * from "./highlighter";
export * from "./highlight";
export declare class MonacoTreeSitter implements MonacoModule.IDisposable {
    readonly editor: MonacoModule.editor.IStandaloneCodeEditor;
    private language;
    private tree;
    private monacoDecorationKeys;
    private buildHighlightDebounced;
    dispose: () => void;
    constructor(Monaco: typeof MonacoModule, editor: MonacoModule.editor.IStandaloneCodeEditor, language: Language, debounceUpdate?: number);
    private onEditorContentChange;
    private buildHighlight;
    changeLanguage(language: Language): void;
    refresh(): void;
}
